Bug 50826 - Disk Druid [text] crashes on bad end cylinder assignment
Summary: Disk Druid [text] crashes on bad end cylinder assignment
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: roswell
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-03 17:53 UTC by Zeke Harris
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-03 19:03:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zeke Harris 2001-08-03 17:53:53 UTC
Description of Problem:
Disk Druid crashes when you try to make the "end cylinder" larger than 
the disk.

How Reproducible:
Quite

Steps to Reproduce:
1. use Disk Druid in text-mode install
2. remove all partitions (if any)
3. edit a "free space" partition
4. change "end cylinder" to one greater than disk geometry - if disk is 
8376 cylinders, use 83761 or something.

Actual Results:
Error message and then a crash.

Expected Results:
Error message.

Additional Information:

<dump>

Traceback (innermost last):
  File "/usr/bin/anaconda", line 608, in ?
    intf.run(id, dispatch, configFileData)
  File "/tmp/27249-i386/install//usr/lib/anaconda/text.py", line 370, in 
run
  File 
"/tmp/27249-i386/install//usr/lib/anaconda/textw/partition_text.py", line 
950, in __call__
  File 
"/tmp/27249-i386/install//usr/lib/anaconda/textw/partition_text.py", line 
896, in editCb
  File 
"/tmp/27249-i386/install//usr/lib/anaconda/textw/partition_text.py", line 
760, in editPartitionRequest
  File 
"/tmp/27249-i386/install//usr/lib/anaconda/textw/partition_text.py", line 
144, in refresh
  File "/tmp/27249-i386/install//usr/lib/anaconda/autopart.py", line 706, 
in doPartitioning
  File "/tmp/27249-i386/install//usr/lib/anaconda/autopart.py", line 665, 
in processPartitioning
  File "/tmp/27249-i386/install//usr/lib/anaconda/autopart.py", line 178, 
in fitConstrained
error: Error: Can't have a partition outside the disk!

</dump>

Comment 1 Brent Fox 2001-08-03 19:03:52 UTC
I've verified this behavior.

Comment 2 Jeremy Katz 2001-08-06 22:37:52 UTC
fixed in cvs

Comment 3 Glen Foster 2001-08-06 22:53:26 UTC
We (Red Hat) really need to fix this defect before next release.


Note You need to log in before you can comment on or make changes to this bug.